petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatSeqDenseSetLDA

Declare the leading dimension of the user-provided array

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatSeqDenseSetLDA(Mat B,PetscInt lda)

### Input parameter

| A | - the matrix
| lda | - the leading dimension

### Notes

This routine is to be used in conjunction with MatSeqDenseSetPreallocation(); it asserts that the preallocation has a leading dimension (the LDA parameter of Blas and Lapack fame) larger than M, the first dimension of the matrix.

### Keywords

dense, matrix, LAPACK, BLAS

### See Also

MatCreate(), MatCreateSeqDense(), MatSeqDenseSetPreallocation(), MatSetMaximumSize()

### Level

intermediate

### Location

src/mat/impls/dense/seq/dense.c

### Examples

src/mat/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex30.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages